Get Application By ID
curl --request GET \
--url https://api.talentunveiled.com/api/v1/applications/{application_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talentunveiled.com/api/v1/applications/{application_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talentunveiled.com/api/v1/applications/{application_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.talentunveiled.com/api/v1/applications/{application_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.talentunveiled.com/api/v1/applications/{application_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.talentunveiled.com/api/v1/applications/{application_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.talentunveiled.com/api/v1/applications/{application_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "applied",
"created_at": "2023-11-07T05:31:56Z",
"candidate": {
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com"
},
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"custom_fields": "<unknown>",
"overall_score": 123,
"cv_score": 123,
"interview_score": 123,
"hiring_recommendation": "strong_hire",
"tagline_summary": "<string>"
}TalentUnveiled Public API
Get Application By ID
Retrieve a single application with interview results.
GET
/
applications
/
{application_id}
Get Application By ID
curl --request GET \
--url https://api.talentunveiled.com/api/v1/applications/{application_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talentunveiled.com/api/v1/applications/{application_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talentunveiled.com/api/v1/applications/{application_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.talentunveiled.com/api/v1/applications/{application_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.talentunveiled.com/api/v1/applications/{application_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.talentunveiled.com/api/v1/applications/{application_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.talentunveiled.com/api/v1/applications/{application_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "applied",
"created_at": "2023-11-07T05:31:56Z",
"candidate": {
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com"
},
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"custom_fields": "<unknown>",
"overall_score": 123,
"cv_score": 123,
"interview_score": 123,
"hiring_recommendation": "strong_hire",
"tagline_summary": "<string>"
}Authorizations
API key authentication for the public API. Pass your API key as a Bearer token.
Path Parameters
Response
200 - application/json
Application serializer used by both the public API and webhook payloads.
applied- Appliedscreened- Screenedinterviewed- Interviewedshortlisted- Shortlistedhired- Hiredrejected- Rejected
Available options:
applied, screened, interviewed, shortlisted, hired, rejected Show child attributes
Show child attributes
Show child attributes
Show child attributes
Customer-provided custom fields submitted at application creation via the external API. Free-form JSON object. Top-level must be an object; inside, any keys/values are allowed. Max 64 KB serialized.
Score on 0-5 scale
Score on 0-5 scale
Score on 0-5 scale
strong_hire- Strong Hirehire- Hiremaybe- Maybeno_hire- No Hire
Available options:
strong_hire, hire, maybe, no_hire 
